Bug 500934 - glibc version not detected correctly
Summary: glibc version not detected correctly
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-inotify
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-14 23:39 UTC by Ben Boeckel
Modified: 2009-05-19 02:13 UTC (History)
1 user (show)

Fixed In Version: 0.8.6-1.git20090518.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-19 02:03:48 UTC


Attachments (Terms of Use)

Description Ben Boeckel 2009-05-14 23:39:25 UTC
Description of problem:
python-inotify does not check for the glibc version correctly. I got the following trace today:

Traceback (most recent call last):
  File "/usr/bin/git-cola", line 59, in <module>
    main()
  File "/usr/lib/python2.6/site-packages/cola/main.py", line 138, in main
    ctl = Controller(model, view)
  File "/usr/lib/python2.6/site-packages/cola/controllers/main.py", line 197, in __init__
    self.start_inotify_thread()
  File "/usr/lib/python2.6/site-packages/cola/controllers/main.py", line 1085, in start_inotify_thread
    from cola.inotify import GitNotifier
  File "/usr/lib/python2.6/site-packages/cola/inotify.py", line 14, in<module>
    import pyinotify
  File "/usr/lib/python2.6/site-packages/pyinotify.py", line 103, in <module>
    raise UnsupportedLibcVersionError(LIBC_VERSION)
pyinotify.UnsupportedLibcVersionError: Libc 2.10.1 is unsupported, requires at least Libc 2.4


Version-Release number of selected component (if applicable):
% rpm -q glibc python-inotify
glibc-2.10.1-1.x86_64
python-inotify-0.8.1-2.git20090208.fc11.noarch
Additional info:

Comment 1 Terje Røsten 2009-05-18 09:07:20 UTC
I have sent a patch upstream fixing this. Will rebase source and release
updated package soon.

Comment 2 Fedora Update System 2009-05-18 12:01:21 UTC
python-inotify-0.8.6-1.git20090518.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-inotify-0.8.6-1.git20090518.fc10

Comment 3 Fedora Update System 2009-05-18 12:01:26 UTC
python-inotify-0.8.6-1.git20090518.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-inotify-0.8.6-1.git20090518.fc9

Comment 4 Fedora Update System 2009-05-18 12:01:31 UTC
python-inotify-0.8.6-1.git20090518.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-inotify-0.8.6-1.git20090518.fc11

Comment 5 Fedora Update System 2009-05-19 02:03:44 UTC
python-inotify-0.8.6-1.git20090518.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-05-19 02:07:49 UTC
python-inotify-0.8.6-1.git20090518.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-05-19 02:13:08 UTC
python-inotify-0.8.6-1.git20090518.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.